Instructables

How to use Adobe's iPhone Packager without an Apple Developer Subscription

Picture of How to use Adobe's iPhone Packager without an Apple Developer Subscription
IMG_0038[1].PNG
IMG_0039[1].PNG
 If you're like me, and just downloaded Flash CS5 to test out it's ability to create iPhone apps, only to be stopped by the fact that you have to spend money at apple to be a developer, then this instrucatable is for you.

This instructable will show you how to export a Flash iPhone project to an IPA without a Developer Connection with Apple, and then how to test that app on your iPhone. 

Please note, you still will not be able to publish the apps that you create on Apples AppStore. (Well I don't know what would happen if you tried, but I don't see it turning out well).

Here's what you'll need:
 - Flash CS5
 - iPhone/iPod Touch
 - The iPhone/iPod Touch needs to be jailbroken
 - You need to be able to install IPAs by dragging them into iTunes or some other method

You'll need to look up instructions on the latter two if you're not sure on what those are.

To be honest I'm not 100% sure that your iPhone needs to be jailbroken before doing this. So if someone without a jailbroken iPhone wants to try this, by all means do and let me know how that works out.
 
Remove these adsRemove these ads by Signing Up

Step 1: Design Your App in Flash

Picture of Design Your App in Flash
5-14-2010 8-45-12 PM.png
5-14-2010 8-45-34 PM.png
5-14-2010 8-48-07 PM.png
 The first step is designing your test App in Flash CS5.

Once Flash is open go to the File menu and chose New...

And then in the New Document dialog, choose iPhone OS, and then click OK.

You should see a blank white box.

Using the Text tool on the right side of the screen, write some words in the box.
1-40 of 85Next »
operawidget3 months ago

It works with flash cc and os x, thank you so much :)

nex_pro5 months ago

thank you so much !!!!

siennaamelia7 months ago

Great Whenever landed up here I am learning good number of new approaches to start with iOS app development, and also the step guide helps me always I rely on this site for coding new start of iPhone apps.

Mihau1 year ago
Hmm, i'm probably doing something wrong. I've made ipa file but when i'm trying to upload it to ipad with iFunbox i have error message: "Funbox involve the official app installation API on iDevice. All installed Apps work only within their own sandbox, which is safe and quarantined from the iOS kernel. To install unsigned/unofficial/modified ipa package, install AppSync from Cydia first."

Do i need jailbrake to upload this app on ipad?
Why i just cant install app Via USB
aharper81 year ago
I got this to work with Adobe Flash Builder, but I did have to modify the Fake.mobileprovision file to have the same name as my project.
martyn11111 year ago
does this certificate work with xcode?. thank you
thomasm022 years ago
it says incompatible with my iphone. Please help
yinn2 years ago
Thanks for posting the files. When I try to apply the Fake.mobileprovision file to itunes, I get 0xE800801A error, which looks like an exchange server error. Can you please upload the files again?

Thanks!
aanandito2 years ago
Hi bcarasco,

Thanks for the article. I have successfully followed until step 2.
However I am stuck at step 3, specifically in the last 2 paragraphs there:

"On the left menu in iTunes select your device.

Then on the tabs on the top click Applications. Make sure Sync Applications is checked. You should see your application in the list. Make sure the box next to it is checked as well.
Now press sync at the bottom of the screen."

How do I select my device in iTunes? and where can I find this Sync Applications?

Thx again.
VinegarEel2 years ago
Thanks!
jok3r3 years ago
Thanks for the certificates but when i tried uploading it into my iPhone, an 0xE8008001 error came up....
ryntckr jok3r3 years ago
You need "AppSync for OS 4.0" to patch the mobile installation files and allow hacked ipa files. After jailbreaking, load Cydia and add "http://cydia.hackulo.us/" as a package source, then search for the AppSync application.
dascope jok3r3 years ago
I have the same issue. I'm gonna try jailbreaking my phone next. See apple, this is what happens..
dascope dascope3 years ago
Bingo. I had to install AppSync from Cydia, once that was done my app sync's just fine.

Thanks a million for this tutorial and files! This is great for getting your feet wet.
zeronegro893 years ago
Genious! (:
danielemur3 years ago
When i try to sync the app to my ipod it says "the app"" was not installed on the ipod"" because it is not compatible with this ipod"
msh danielemur3 years ago
I have the same problem with my iPod touch and my iPhone 3G. One of them is jailbreak and the other one is not. I get the same error when I sync them with itunes.

Is there a problem with these keys or something changed in new itunes?!
jeromel3 years ago
Do the P12 and the mobie provision still work with latest IOS (4.3) and itunes(10.2.2). Is there some new restrictions?
I can't install my apps anymore..
jmulro3 years ago
thanks a lot~~~~~

awesome!
abusaud3 years ago
wooooow!!!!!
it's working...

Thank you very much....
smi44503 years ago
You're a God :) <3
pzhoncillo3 years ago
An error prompt when installing the app in my iphone (1st Gen) :(
mpesic13 years ago
Thanks!!! work for me :)
jhill3d mpesic13 years ago
Thank you for your pic! :)
I cannot choose iPhone OS, I can only choose AIR for iPhone OS, maybe it's because my version is to new?
bschuitema3 years ago
omg, thank you for this, testing it now..
mark1303 years ago
thank you very much
it work
my mobile is Apple iphone 3Gs
andoz3 years ago
Thanks, publishing now!
tato3123 years ago
When I click publish, it starts publishing but after 3 seconds an error on the abode window pops up that says

"No se ha vinculado ninguna biblioteca compartida en tiempo de ejecucion (RSL) para su configuracion de publicacion: iPhone OS".

what should I do?
jlr00133 years ago
Thanks a lot for this!! Very helpful
how could you put it on without jailbreaking the ipod?
teedi3 years ago
in my folder don't be a .ipa file :S sry for bad english xD
kglad993 years ago
whoa, thank you. works great with flash cs5.5
eliesxs3 years ago
Thanks for the instructable, it works great in my iphone :)
Worked great for me. One thing to add, you don't need to download an app from the app store to see the app menu in iTunes. Just go to preferences and make a tick beside Apps. Thanks for the certificate and the clear instructions. Cheers.
pikachi3 years ago
If you changed the "com.gamevil.zenonia2", what would happen?
pikachi3 years ago
Hi. Great tutorial - I haven't tried it yet but everyone else says it works. For everyone saying about the error in itunes, you need to have your iDevice jailbroken and Appsync installed, because your iDevice needs some sort of digital signature to install apps, and Appsync bypasses it.

Thanks.
dan953 years ago
when i clic on publish, it starts working but then an error: ""falta el archivo swf especificado como contenido raiz"" in english something like SWF file specified as root content is missing
culdo you help me please?
tomshlop33 years ago
its not working for me T.T
when i publish the file its like publishing,and then a messege pops out that says java.exe has crushed and it ends the publishing , how can i make it work ?
elzaman3 years ago
wooof I solved the "0xE8008001" error, which was because my iPod was not jail broken (I only use it legally) but now I had to do this so I could test this before paying the 99$!
this is what I did with my iPod 4 with iOS 4.2.1 after a lot of researching:
1) downloaded "redsn0w" v0.9.6b4 for windows.
2) since I am on windows 7 set it to run with "Windows XP compatibility mode" and as an adminstrator.
3) using iTunes (latest) updated the firmware then restored it.
4) copied my firmware "iPod4,1_4.2.1_8C148_Restore.ipsw" found in "Users\MyName\AppData\Roaming\Apple Computer\iTunes\iPod Software Updates" to the redsn0w folder.
5) ran redsn0w and browsed for the copied file.
6) clicked next kept the settings as it is then followed the instructions.
now an app called "Cydia" but it wont run.
7) ran redsn0w again, selected "just boot it tethered right now", nexts...
the device will boot now, and you can run Cydia (with wifi connection)
8) let it update the database, then search for "AppSync for iOS 4.2" and download it.
9) restart then do step 7 again.
10) now you can use your ipa ;)
1-40 of 85Next »